Package: groovy.util

## [Java] Interface ResourceConnector

-     public interface ResourceConnector

  Base interface for customizing where resources can be found for the `GroovyScriptEngine`.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public URLConnection` | `getResourceConnection(String name)` Retrieve a URLConnection to a script referenced by name.

- - ### Method Detail

    - #### public URLConnection getResourceConnection(String name)

      Retrieve a URLConnection to a script referenced by name.

      throws:
        ResourceException
      Parameters:
        name